
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>MDSLibraries.HHPred_parser module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="MDSLibraries.ensemble_functions module" href="MDSLibraries.ensemble_functions.html" />
    <link rel="prev" title="MDSLibraries package" href="MDSLibraries.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.ensemble_functions.html" title="MDSLibraries.ensemble_functions module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.html" title="MDSLibraries package"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" accesskey="U">MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="MDSLibraries.html"
                        title="previous chapter">MDSLibraries package</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="MDSLibraries.ensemble_functions.html"
                        title="next chapter">MDSLibraries.ensemble_functions module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/MDSLibraries.HHPred_parser.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-MDSLibraries.HHPred_parser">
<span id="mdslibraries-hhpred-parser-module"></span><h1>MDSLibraries.HHPred_parser module<a class="headerlink" href="#module-MDSLibraries.HHPred_parser" title="Permalink to this headline">¶</a></h1>
<p>This script takes the .hhr files output by HHSuite and
turns the quite verbose file in to a fully tabulated
version with all the fields separated one, one line per
file. Thus, the file can be viewed simply in Excel etc.
It requires the non-standard pandas module.</p>
<dl class="function">
<dt id="MDSLibraries.HHPred_parser.displayRefs">
<code class="descclassname">MDSLibraries.HHPred_parser.</code><code class="descname">displayRefs</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/HHPred_parser.html#displayRefs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.HHPred_parser.displayRefs" title="Permalink to this definition">¶</a></dt>
<dd><p>Display relevant references</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.HHPred_parser.getDOI">
<code class="descclassname">MDSLibraries.HHPred_parser.</code><code class="descname">getDOI</code><span class="sig-paren">(</span><em>top_hit</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/HHPred_parser.html#getDOI"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.HHPred_parser.getDOI" title="Permalink to this definition">¶</a></dt>
<dd><p>Query the PDB REST API to get an associated DOI/Publication</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.HHPred_parser.getFullDesc">
<code class="descclassname">MDSLibraries.HHPred_parser.</code><code class="descname">getFullDesc</code><span class="sig-paren">(</span><em>hhresult_file</em>, <em>top_hit_full</em>, <em>verbose</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/HHPred_parser.html#getFullDesc"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.HHPred_parser.getFullDesc" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.HHPred_parser.get_best_hit">
<code class="descclassname">MDSLibraries.HHPred_parser.</code><code class="descname">get_best_hit</code><span class="sig-paren">(</span><em>hhtable</em>, <em>verbose</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/HHPred_parser.html#get_best_hit"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.HHPred_parser.get_best_hit" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.HHPred_parser.hhparse">
<code class="descclassname">MDSLibraries.HHPred_parser.</code><code class="descname">hhparse</code><span class="sig-paren">(</span><em>hhresult_file</em>, <em>verbose</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/HHPred_parser.html#hhparse"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.HHPred_parser.hhparse" title="Permalink to this definition">¶</a></dt>
<dd><p>Convert HHpred’s text-based output table in to a pandas dataframe</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.HHPred_parser.main">
<code class="descclassname">MDSLibraries.HHPred_parser.</code><code class="descname">main</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/HHPred_parser.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.HHPred_parser.main" title="Permalink to this definition">¶</a></dt>
<dd><p>Make function calls and handle arguments for tabulateHHpred.py</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.HHPred_parser.parseArgs">
<code class="descclassname">MDSLibraries.HHPred_parser.</code><code class="descname">parseArgs</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/HHPred_parser.html#parseArgs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.HHPred_parser.parseArgs" title="Permalink to this definition">¶</a></dt>
<dd><p>Parse commandline arguments</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.HHPred_parser.parse_MSA_and_update_hhtable">
<code class="descclassname">MDSLibraries.HHPred_parser.</code><code class="descname">parse_MSA_and_update_hhtable</code><span class="sig-paren">(</span><em>hhmsa</em>, <em>hhtable</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/HHPred_parser.html#parse_MSA_and_update_hhtable"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.HHPred_parser.parse_MSA_and_update_hhtable" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.HHPred_parser.print_MSA">
<code class="descclassname">MDSLibraries.HHPred_parser.</code><code class="descname">print_MSA</code><span class="sig-paren">(</span><em>hhtable</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/HHPred_parser.html#print_MSA"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.HHPred_parser.print_MSA" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.HHPred_parser.write_MSA">
<code class="descclassname">MDSLibraries.HHPred_parser.</code><code class="descname">write_MSA</code><span class="sig-paren">(</span><em>hhtable</em>, <em>filename</em>, <em>target=None</em>, <em>targ_aln=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/HHPred_parser.html#write_MSA"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.HHPred_parser.write_MSA" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.ensemble_functions.html" title="MDSLibraries.ensemble_functions module"
             >next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.html" title="MDSLibraries package"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" >MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>